<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2f6" . "e847d" => base64_decode("bG1" . "zZw" . "=="), "_4cb84eb74ebb3a0cd6e531eaa8" . "157092" => base64_decode("YXB" . "wX2" . "Zvc" . "nVt"), "_d36d5ad3900b429055d2ab3" . "05b68bdbd" => base64_decode("Zm9ydW1fbWVzc2FnZQ=" . "="), "_76b2584d18" . "510f887f4a6" . "f6b81f96952" => base64_decode("Y29tbW9uLmhlYWRlci5mb3J1bQ=" . "="));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d36d5ad3900b42" . "9055d2ab305b68b" . "dbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_76b2584d18510f887f4" . "a6f6b81f96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4cb84eb74ebb3a" . "0cd6e531eaa8157" . "092"];
    }
}